aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorAndre Heinecke <[email protected]>2017-01-25 13:10:18 +0000
committerAndre Heinecke <[email protected]>2017-01-25 13:10:18 +0000
commita98951a30a6ae603ffac4ec8c5168aa6d1019933 (patch)
tree373cdd3e06fbc47d263670f8ad79ef8f8df3406f /tests
parentw32: Fix closing file descriptors. (diff)
downloadgpgme-a98951a30a6ae603ffac4ec8c5168aa6d1019933.tar.gz
gpgme-a98951a30a6ae603ffac4ec8c5168aa6d1019933.zip
tests: Use --debug-quick-random for tests
* tests/start-stop-agent: Don't autostart agent on --stop and running check. Use --debug-quick-random when starting. -- This should speed up the tests especially on low entropy systems. Possibly fixing a hang on pythons op_genkey test in the Launchpad build enviorment (see launchpad issue 1655298)
Diffstat (limited to 'tests')
-rwxr-xr-xtests/start-stop-agent12
1 files changed, 7 insertions, 5 deletions
diff --git a/tests/start-stop-agent b/tests/start-stop-agent
index ab47d8d9..e843ce5c 100755
--- a/tests/start-stop-agent
+++ b/tests/start-stop-agent
@@ -15,11 +15,12 @@ fi
GPG_AGENT_INFO=
export GPG_AGENT_INFO
+GPG_AGENT=$(which gpg-agent)
token=$(echo "gpgme-$(pwd)" | tr ' ' '_')
if [ "$1" = "--stop" ]; then
- if [ "$(gpg-connect-agent getval\ $token /bye 2>/dev/null | head -1)" \
+ if [ "$(gpg-connect-agent --no-autostart getval\ $token /bye 2>/dev/null | head -1)" \
!= "D set" ]; then
echo "gpg-agent not running" >&2
exit 0
@@ -29,15 +30,16 @@ if [ "$1" = "--stop" ]; then
exit 0
fi
-if [ "$(gpg-connect-agent getval\ $token /bye 2>/dev/null | head -1)" \
+if [ "$(gpg-connect-agent --no-autostart getval\ $token /bye 2>/dev/null | head -1)" \
= "D set" ]; then
echo "gpg-agent already running" >&2
exit 0
fi
-echo "starting gpg-agent " >&2
-gpg-connect-agent putval\ $token\ set /bye >/dev/null 2>&1
-if [ "$(gpg-connect-agent getval\ $token /bye 2>/dev/null | head -1)" \
+echo "starting gpg-agent.." >&2
+
+gpg-connect-agent --agent-program="${GPG_AGENT}|--debug-quick-random" putval\ $token\ set /bye
+if [ $? -ne 0 -o "$(gpg-connect-agent getval\ $token /bye 2>/dev/null | head -1)" \
!= "D set" ]; then
echo "error starting gpg-agent" >&2
exit 1